NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ConnectLatticesBuilder Class Reference

Represents a Features.ConnectLattices builder More...

Inheritance diagram for NXOpen.Features.ConnectLatticesBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OriginalBodyOptions { Keep, Hide, Delete }
 These represent the options for handling the input bodies More...
 
enum  RodsizeOptions { Variable, Fixed }
 These represent the options for defining rod diameters More...
 

Properties

unsafe NXOpen.ScCollector Lattice1 [get]
 Returns the lattice 1 which will be connected with lattice 2 More...
 
unsafe NXOpen.ScCollector Lattice2 [get]
 Returns the lattice 2 which will be connected with lattice 1 More...
 
unsafe double MaxCheckingDistance [get, set]
 Returns or sets the max checking distance which is used to find the near vertices for connection More...
 
unsafe
NXOpen.Features.ConnectLatticesBuilder.OriginalBodyOptions 
OriginalBodyOption [get, set]
 Returns or sets the option for handling the input facet bodies More...
 
unsafe NXOpen.Expression RodDiameter [get]
 Returns the rod diameter More...
 
unsafe
NXOpen.Features.ConnectLatticesBuilder.RodsizeOptions 
RodSizeOption [get, set]
 Returns or sets the option to define rod size More...
 
unsafe int RodsPerVertex [get, set]
 Returns or sets the number of rods per vertex created by connecting. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.ConnectLattices builder

To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateConnectLatticesBuilder

Default values.

Property Value

MaxCheckingDistance

10 (millimeters part), 0.4 (inches part)

OriginalBodyOption

Delete

RodDiameter.Value

1 (millimeters part), 0.04 (inches part)

RodSizeOption

Variable

RodsPerVertex

1

Created in NX1847.0.0

Member Enumeration Documentation

These represent the options for handling the input bodies

Enumerator
Keep 

Keep Bodies

Hide 

Hide Bodies

Delete 

Delete Bodies

These represent the options for defining rod diameters

Enumerator
Variable 

Variable

Fixed 

Fixed

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.ConnectLatticesBuilder.Lattice1
get

Returns the lattice 1 which will be connected with lattice 2

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ConnectLatticesBuilder.Lattice2
get

Returns the lattice 2 which will be connected with lattice 1

Created in NX1847.0.0

License requirements: None.

unsafe double NXOpen.Features.ConnectLatticesBuilder.MaxCheckingDistance
getset

Returns or sets the max checking distance which is used to find the near vertices for connection

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.ConnectLatticesBuilder.OriginalBodyOptions NXOpen.Features.ConnectLatticesBuilder.OriginalBodyOption
getset

Returns or sets the option for handling the input facet bodies

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.ConnectLatticesBuilder.RodDiameter
get

Returns the rod diameter

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Features.ConnectLatticesBuilder.RodsizeOptions NXOpen.Features.ConnectLatticesBuilder.RodSizeOption
getset

Returns or sets the option to define rod size

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.ConnectLatticesBuilder.RodsPerVertex
getset

Returns or sets the number of rods per vertex created by connecting.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.